---
abstract: "Set the distribution version from your main module's $VERSION"
author:
  - 'Christopher J. Madsen <perl@cjmweb.net>'
  - 'Dave Rolsky <autarch@urth.org>'
build_requires:
  ExtUtils::MakeMaker: '0'
  File::Spec: '0'
  Path::Tiny: '0'
  Test::DZil: '0'
  Test::Deep: '0'
  Test::Fatal: '0'
  Test::More: '0.96'
  if: '0'
configure_requires:
  ExtUtils::MakeMaker: '0'
dynamic_config: 0
generated_by: 'Dist::Zilla version 6.011, CPAN::Meta::Converter version 2.150010'
license: perl
meta-spec:
  url: http://module-build.sourceforge.net/META-spec-v1.4.html
  version: '1.4'
name: Dist-Zilla-Plugin-VersionFromMainModule
provides:
  Dist::Zilla::Plugin::VersionFromMainModule:
    file: lib/Dist/Zilla/Plugin/VersionFromMainModule.pm
    version: '0.04'
requires:
  Dist::Zilla::Role::ModuleMetadata: '0'
  Dist::Zilla::Role::VersionProvider: '0'
  Moose: '0'
  namespace::autoclean: '0'
  strict: '0'
  warnings: '0'
resources:
  bugtracker: http://rt.cpan.org/Public/Dist/Display.html?Name=Dist-Zilla-Plugin-VersionFromMainModule
  homepage: http://metacpan.org/release/Dist-Zilla-Plugin-VersionFromMainModule
  repository: git://github.com/houseabsolute/Dist-Zilla-Plugin-VersionFromMainModule.git
version: '0.04'
x_Dist_Zilla:
  perl:
    version: '5.026001'
  plugins:
    -
      class: Dist::Zilla::Plugin::MakeMaker
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: 1
      name: '@DROLSKY/MakeMaker'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::Git::GatherDir
      config:
        Dist::Zilla::Plugin::GatherDir:
          exclude_filename:
            - CONTRIBUTING.md
            - LICENSE
            - Makefile.PL
            - README.md
            - cpanfile
          exclude_match: []
          follow_symlinks: 0
          include_dotfiles: 0
          prefix: ''
          prune_directory: []
          root: .
        Dist::Zilla::Plugin::Git::GatherDir:
          include_untracked: 0
      name: '@DROLSKY/Git::GatherDir'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::ManifestSkip
      name: '@DROLSKY/ManifestSkip'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::License
      name: '@DROLSKY/License'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::ExecDir
      name: '@DROLSKY/ExecDir'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::ShareDir
      name: '@DROLSKY/ShareDir'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::Manifest
      name: '@DROLSKY/Manifest'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::CheckVersionIncrement
      name: '@DROLSKY/CheckVersionIncrement'
      version: '0.121750'
    -
      class: Dist::Zilla::Plugin::TestRelease
      name: '@DROLSKY/TestRelease'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::ConfirmRelease
      name: '@DROLSKY/ConfirmRelease'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::UploadToCPAN
      name: '@DROLSKY/UploadToCPAN'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::VersionFromMainModule
      name: '@DROLSKY/VersionFromMainModule'
      version: '0.03'
    -
      class: Dist::Zilla::Plugin::Authority
      name: '@DROLSKY/Authority'
      version: '1.009'
    -
      class: Dist::Zilla::Plugin::AutoPrereqs
      name: '@DROLSKY/AutoPrereqs'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::CopyFilesFromBuild
      name: '@DROLSKY/CopyFilesFromBuild'
      version: '0.170880'
    -
      class: Dist::Zilla::Plugin::GitHub::Meta
      name: '@DROLSKY/GitHub::Meta'
      version: '0.44'
    -
      class: Dist::Zilla::Plugin::GitHub::Update
      config:
        Dist::Zilla::Plugin::GitHub::Update:
          metacpan: 1
      name: '@DROLSKY/GitHub::Update'
      version: '0.44'
    -
      class: Dist::Zilla::Plugin::MetaResources
      name: '@DROLSKY/MetaResources'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::MetaProvides::Package
      config:
        Dist::Zilla::Plugin::MetaProvides::Package:
          finder_objects:
            -
              class: Dist::Zilla::Plugin::FinderCode
              name: '@DROLSKY/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
              version: '6.011'
          include_underscores: 0
        Dist::Zilla::Role::MetaProvider::Provider:
          $Dist::Zilla::Role::MetaProvider::Provider::VERSION: '2.002004'
          inherit_missing: '1'
          inherit_version: '1'
          meta_noindex: '1'
        Dist::Zilla::Role::ModuleMetadata:
          Module::Metadata: '1.000033'
          version: '0.005'
      name: '@DROLSKY/MetaProvides::Package'
      version: '2.004003'
    -
      class: Dist::Zilla::Plugin::Meta::Contributors
      name: '@DROLSKY/Meta::Contributors'
      version: '0.003'
    -
      class: Dist::Zilla::Plugin::MetaConfig
      name: '@DROLSKY/MetaConfig'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::MetaJSON
      name: '@DROLSKY/MetaJSON'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::MetaYAML
      name: '@DROLSKY/MetaYAML'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::NextRelease
      name: '@DROLSKY/NextRelease'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: test
          type: requires
      name: '@DROLSKY/Test::More with subtest'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: develop
          type: requires
      name: '@DROLSKY/Modules for use with tidyall'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::Prereqs
      config:
        Dist::Zilla::Plugin::Prereqs:
          phase: develop
          type: requires
      name: '@DROLSKY/Test::Version which fixes https://github.com/plicease/Test-Version/issues/7'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::PromptIfStale
      config:
        Dist::Zilla::Plugin::PromptIfStale:
          check_all_plugins: 0
          check_all_prereqs: 0
          modules:
            - Dist::Zilla::PluginBundle::DROLSKY
          phase: build
          run_under_travis: 0
          skip: []
      name: '@DROLSKY/Dist::Zilla::PluginBundle::DROLSKY'
      version: '0.054'
    -
      class: Dist::Zilla::Plugin::PromptIfStale
      config:
        Dist::Zilla::Plugin::PromptIfStale:
          check_all_plugins: 1
          check_all_prereqs: 1
          modules: []
          phase: release
          run_under_travis: 0
          skip:
            - Dist::Zilla::Plugin::DROLSKY::Contributors
            - Dist::Zilla::Plugin::DROLSKY::Git::CheckFor::CorrectBranch
            - Dist::Zilla::Plugin::DROLSKY::License
            - Dist::Zilla::Plugin::DROLSKY::TidyAll
            - Dist::Zilla::Plugin::DROLSKY::WeaverConfig
            - Pod::Weaver::PluginBundle::DROLSKY
      name: '@DROLSKY/PromptIfStale'
      version: '0.054'
    -
      class: Dist::Zilla::Plugin::Test::PodSpelling
      config:
        Dist::Zilla::Plugin::Test::PodSpelling:
          directories:
            - bin
            - lib
          spell_cmd: ''
          stopwords:
            - DROLSKY
            - "DROLSKY's"
            - PayPal
            - Rolsky
            - "Rolsky's"
            - drolsky
          wordlist: Pod::Wordlist
      name: '@DROLSKY/Test::PodSpelling'
      version: '2.007005'
    -
      class: Dist::Zilla::Plugin::PodSyntaxTests
      name: '@DROLSKY/PodSyntaxTests'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::RunExtraTests
      config:
        Dist::Zilla::Role::TestRunner:
          default_jobs: 1
      name: '@DROLSKY/RunExtraTests'
      version: '0.029'
    -
      class: Dist::Zilla::Plugin::MojibakeTests
      name: '@DROLSKY/MojibakeTests'
      version: '0.8'
    -
      class: Dist::Zilla::Plugin::Test::CleanNamespaces
      config:
        Dist::Zilla::Plugin::Test::CleanNamespaces:
          filename: xt/author/clean-namespaces.t
          skips: []
      name: '@DROLSKY/Test::CleanNamespaces'
      version: '0.006'
    -
      class: Dist::Zilla::Plugin::Test::CPAN::Changes
      config:
        Dist::Zilla::Plugin::Test::CPAN::Changes:
          changelog: Changes
      name: '@DROLSKY/Test::CPAN::Changes'
      version: '0.012'
    -
      class: Dist::Zilla::Plugin::Test::CPAN::Meta::JSON
      name: '@DROLSKY/Test::CPAN::Meta::JSON'
      version: '0.004'
    -
      class: Dist::Zilla::Plugin::Test::EOL
      config:
        Dist::Zilla::Plugin::Test::EOL:
          filename: xt/author/eol.t
          finder:
            - ':ExecFiles'
            - ':InstallModules'
            - ':TestFiles'
          trailing_whitespace: 1
      name: '@DROLSKY/Test::EOL'
      version: '0.19'
    -
      class: Dist::Zilla::Plugin::Test::NoTabs
      config:
        Dist::Zilla::Plugin::Test::NoTabs:
          filename: xt/author/no-tabs.t
          finder:
            - ':InstallModules'
            - ':ExecFiles'
            - ':TestFiles'
      name: '@DROLSKY/Test::NoTabs'
      version: '0.15'
    -
      class: Dist::Zilla::Plugin::Test::Portability
      config:
        Dist::Zilla::Plugin::Test::Portability:
          options: ''
      name: '@DROLSKY/Test::Portability'
      version: '2.001000'
    -
      class: Dist::Zilla::Plugin::Test::TidyAll
      name: '@DROLSKY/Test::TidyAll'
      version: '0.04'
    -
      class: Dist::Zilla::Plugin::Test::Compile
      config:
        Dist::Zilla::Plugin::Test::Compile:
          bail_out_on_fail: '0'
          fail_on_warning: author
          fake_home: 0
          filename: xt/author/00-compile.t
          module_finder:
            - ':InstallModules'
          needs_display: 0
          phase: develop
          script_finder:
            - ':PerlExecFiles'
          skips: []
          switch: []
      name: '@DROLSKY/Test::Compile'
      version: '2.058'
    -
      class: Dist::Zilla::Plugin::Test::ReportPrereqs
      name: '@DROLSKY/Test::ReportPrereqs'
      version: '0.027'
    -
      class: Dist::Zilla::Plugin::Test::Version
      name: '@DROLSKY/Test::Version'
      version: '1.09'
    -
      class: Dist::Zilla::Plugin::DROLSKY::Contributors
      name: '@DROLSKY/DROLSKY::Contributors'
      version: '0.89'
    -
      class: Dist::Zilla::Plugin::Git::Contributors
      config:
        Dist::Zilla::Plugin::Git::Contributors:
          git_version: 2.16.2
          include_authors: 0
          include_releaser: 1
          order_by: name
          paths: []
      name: '@DROLSKY/Git::Contributors'
      version: '0.032'
    -
      class: Dist::Zilla::Plugin::SurgicalPodWeaver
      config:
        Dist::Zilla::Plugin::PodWeaver:
          config_plugins:
            - '@DROLSKY'
          finder:
            - ':InstallModules'
            - ':ExecFiles'
          plugins:
            -
              class: Pod::Weaver::Plugin::EnsurePod5
              name: '@CorePrep/EnsurePod5'
              version: '4.015'
            -
              class: Pod::Weaver::Plugin::H1Nester
              name: '@CorePrep/H1Nester'
              version: '4.015'
            -
              class: Pod::Weaver::Plugin::SingleEncoding
              name: '@DROLSKY/SingleEncoding'
              version: '4.015'
            -
              class: Pod::Weaver::Plugin::Transformer
              name: '@DROLSKY/List'
              version: '4.015'
            -
              class: Pod::Weaver::Plugin::Transformer
              name: '@DROLSKY/Verbatim'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Region
              name: '@DROLSKY/header'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Name
              name: '@DROLSKY/Name'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Version
              name: '@DROLSKY/Version'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Region
              name: '@DROLSKY/prelude'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Generic
              name: SYNOPSIS
              version: '4.015'
            -
              class: Pod::Weaver::Section::Generic
              name: DESCRIPTION
              version: '4.015'
            -
              class: Pod::Weaver::Section::Generic
              name: OVERVIEW
              version: '4.015'
            -
              class: Pod::Weaver::Section::Collect
              name: ATTRIBUTES
              version: '4.015'
            -
              class: Pod::Weaver::Section::Collect
              name: METHODS
              version: '4.015'
            -
              class: Pod::Weaver::Section::Collect
              name: FUNCTIONS
              version: '4.015'
            -
              class: Pod::Weaver::Section::Collect
              name: TYPES
              version: '4.015'
            -
              class: Pod::Weaver::Section::Leftovers
              name: '@DROLSKY/Leftovers'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Region
              name: '@DROLSKY/postlude'
              version: '4.015'
            -
              class: Pod::Weaver::Section::GenerateSection
              name: '@DROLSKY/generate SUPPORT'
              version: '1.06'
            -
              class: Pod::Weaver::Section::AllowOverride
              name: '@DROLSKY/allow override SUPPORT'
              version: '0.05'
            -
              class: Pod::Weaver::Section::GenerateSection
              name: '@DROLSKY/generate SOURCE'
              version: '1.06'
            -
              class: Pod::Weaver::Section::Authors
              name: '@DROLSKY/Authors'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Contributors
              name: '@DROLSKY/Contributors'
              version: '0.009'
            -
              class: Pod::Weaver::Section::Legal
              name: '@DROLSKY/Legal'
              version: '4.015'
            -
              class: Pod::Weaver::Section::Region
              name: '@DROLSKY/footer'
              version: '4.015'
      name: '@DROLSKY/SurgicalPodWeaver'
      version: '0.0023'
    -
      class: Dist::Zilla::Plugin::DROLSKY::WeaverConfig
      name: '@DROLSKY/DROLSKY::WeaverConfig'
      version: '0.89'
    -
      class: Dist::Zilla::Plugin::ReadmeAnyFromPod
      config:
        Dist::Zilla::Role::FileWatcher:
          version: '0.006'
      name: '@DROLSKY/README.md in build'
      version: '0.163250'
    -
      class: Dist::Zilla::Plugin::GenerateFile::FromShareDir
      config:
        Dist::Zilla::Plugin::GenerateFile::FromShareDir:
          destination_filename: CONTRIBUTING.md
          dist: Dist-Zilla-PluginBundle-DROLSKY
          encoding: UTF-8
          has_xs: '0'
          location: build
          source_filename: CONTRIBUTING.md
        Dist::Zilla::Role::RepoFileInjector:
          allow_overwrite: 1
          repo_root: .
          version: '0.007'
      name: '@DROLSKY/Generate CONTRIBUTING.md'
      version: '0.013'
    -
      class: Dist::Zilla::Plugin::InstallGuide
      name: '@DROLSKY/InstallGuide'
      version: '1.200009'
    -
      class: Dist::Zilla::Plugin::CPANFile
      name: '@DROLSKY/CPANFile'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::DROLSKY::License
      name: '@DROLSKY/DROLSKY::License'
      version: '0.89'
    -
      class: Dist::Zilla::Plugin::CheckStrictVersion
      name: '@DROLSKY/CheckStrictVersion'
      version: '0.001'
    -
      class: Dist::Zilla::Plugin::CheckSelfDependency
      config:
        Dist::Zilla::Plugin::CheckSelfDependency:
          finder:
            - ':InstallModules'
        Dist::Zilla::Role::ModuleMetadata:
          Module::Metadata: '1.000033'
          version: '0.005'
      name: '@DROLSKY/CheckSelfDependency'
      version: '0.011'
    -
      class: Dist::Zilla::Plugin::CheckPrereqsIndexed
      name: '@DROLSKY/CheckPrereqsIndexed'
      version: '0.020'
    -
      class: Dist::Zilla::Plugin::DROLSKY::Git::CheckFor::CorrectBranch
      config:
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
      name: '@DROLSKY/DROLSKY::Git::CheckFor::CorrectBranch'
      version: '0.89'
    -
      class: Dist::Zilla::Plugin::EnsureChangesHasContent
      name: '@DROLSKY/EnsureChangesHasContent'
      version: '0.02'
    -
      class: Dist::Zilla::Plugin::Git::CheckFor::MergeConflicts
      config:
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
      name: '@DROLSKY/Git::CheckFor::MergeConflicts'
      version: '0.014'
    -
      class: Dist::Zilla::Plugin::DROLSKY::TidyAll
      name: '@DROLSKY/DROLSKY::TidyAll'
      version: '0.89'
    -
      class: Dist::Zilla::Plugin::Git::Check
      config:
        Dist::Zilla::Plugin::Git::Check:
          untracked_files: die
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - CONTRIBUTING.md
            - Changes
            - LICENSE
            - Makefile.PL
            - README.md
            - cpanfile
            - tidyall.ini
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
      name: '@DROLSKY/Git::Check'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::Git::Commit
      config:
        Dist::Zilla::Plugin::Git::Commit:
          add_files_in: []
          commit_msg: v%v%n%n%c
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - CONTRIBUTING.md
            - Changes
            - LICENSE
            - Makefile.PL
            - README.md
            - cpanfile
            - tidyall.ini
          allow_dirty_match: []
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@DROLSKY/Commit generated files'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::Git::Tag
      config:
        Dist::Zilla::Plugin::Git::Tag:
          branch: ~
          changelog: Changes
          signed: 0
          tag: v0.04
          tag_format: v%v
          tag_message: v%v
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@DROLSKY/Git::Tag'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::Git::Push
      config:
        Dist::Zilla::Plugin::Git::Push:
          push_to:
            - origin
          remotes_must_exist: 1
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
      name: '@DROLSKY/Git::Push'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::BumpVersionAfterRelease
      config:
        Dist::Zilla::Plugin::BumpVersionAfterRelease:
          finders:
            - ':ExecFiles'
            - ':InstallModules'
          global: 0
          munge_makefile_pl: 1
      name: '@DROLSKY/BumpVersionAfterRelease'
      version: '0.017'
    -
      class: Dist::Zilla::Plugin::Git::Commit
      config:
        Dist::Zilla::Plugin::Git::Commit:
          add_files_in: []
          commit_msg: 'Bump version after release'
        Dist::Zilla::Role::Git::DirtyFiles:
          allow_dirty:
            - Changes
            - dist.ini
          allow_dirty_match:
            - (?^:.+)
          changelog: Changes
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
        Dist::Zilla::Role::Git::StringFormatter:
          time_zone: local
      name: '@DROLSKY/Commit version bump'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::Git::Push
      config:
        Dist::Zilla::Plugin::Git::Push:
          push_to:
            - origin
          remotes_must_exist: 1
        Dist::Zilla::Role::Git::Repo:
          git_version: 2.16.2
          repo_root: .
      name: '@DROLSKY/Push version bump'
      version: '2.043'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':InstallModules'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':IncModules'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':TestFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExtraTestFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ExecFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':PerlExecFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':ShareFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':MainModule'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':AllFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: ':NoFiles'
      version: '6.011'
    -
      class: Dist::Zilla::Plugin::FinderCode
      name: '@DROLSKY/MetaProvides::Package/AUTOVIV/:InstallModulesPM'
      version: '6.011'
  zilla:
    class: Dist::Zilla::Dist::Builder
    config:
      is_trial: '0'
    version: '6.011'
x_authority: cpan:DROLSKY
x_contributors:
  - 'Karen Etheridge <ether@cpan.org>'
x_serialization_backend: 'YAML::Tiny version 1.73'